extends "res://Actors/State.gd"

var player = null

# For clarity of thought, maintain an additional reference to the parent as "player".
func enter(parent):
	self.player = parent
	.enter(parent)

# Default behavior when colliding with a hostile.
func hit_enemy(enemy):
	player.take_damage(enemy)
	var recoiling = load("res://Actors/Player/States/Recoiling.gd").new()
	if enemy.get_global_pos().x >= parent.get_global_pos().x:
		recoiling.direction = -1
	else:
		recoiling.direction = 1
	set_state(recoiling)
