# Damage-related interface. Safe defaults and functions may be overridden without chaining.
extends Area2D

const EFFECTIVENESS = 1.5

# Physical
const BLUNT = 1
const SLASH = 2
const PIERCE = 4
# Elemental
const FIRE = 8
const ICE = 16
const WIND = 32
const EARTH = 64
# Holy
const LIGHT = 128
const DARK = 256
# Curse
# Poison

# List of all types.
const TYPES = [BLUNT, SLASH, PIERCE, FIRE, ICE, WIND, EARTH, LIGHT, DARK]

export(int) var damage = 0
export(int, FLAGS, "Blunt", "Slash", "Pierce", "Fire", "Ice", "Wind", "Earth", "Light", "Dark") var damage_types = 0
export(float) var impact = 0.0

func get_damage():
	return damage

func get_types():
	return damage_types

func get_impact():
	return impact
