# Base Enemy state that implements basic 2D physics outside of Godot's system.
extends "res://Actors/State.gd"

var initial_position = null
var x_velocity = 0
var y_velocity = 0

func enter(parent):
	.enter(parent)
	initial_position = parent.get_pos()

func _fixed_process(delta):
	if x_velocity != 0 or y_velocity != 0:
		var parent_pos = parent.get_pos()
		parent_pos.x = parent_pos.x + (x_velocity * delta)
		parent_pos.y = parent_pos.y + (y_velocity * delta)
		parent.set_pos(parent_pos)
