extends "res://Actors/Enemies/Enemy.gd"

const Walking = preload("res://Actors/Enemies/Graveyard/Zombie/States/Walking.gd")

var spawner = null

# Recoil on hit.
func take_damage(damage_dealer):
	set_linear_velocity(Vector2(0, 0))
	.take_damage(damage_dealer)

func die():
	if spawner != null:
		spawner.zombies.erase(self)
	.die()

func _spawned():
	get_node("Hitbox").set_collision_mask_bit(0, true)
	get_node("Hitbox").set_layer_mask_bit(0, true)
	state = Walking.new()
	state.enter(self)
