extends RigidBody2D

const Grappling = preload("res://Actors/Player/States/Grappling.gd")

func _ready():
	get_node("Area2D").connect("body_enter", self, "_on_body_enter")

func _on_body_enter(body):
	if body extends StaticBody2D:
		var player = get_node("../Player")
		var grappling = Grappling.new()
		grappling.add_anchor_point(get_global_pos())
		player.state.set_state(grappling)
		queue_free()
