extends Node2D

export var property = ""

onready var decrease = get_node("Decrease")
onready var increase = get_node("Increase")
onready var label = get_node("Label")

var player = null

func _ready():
	decrease.set_focus_mode(Control.FOCUS_NONE)
	increase.set_focus_mode(Control.FOCUS_NONE)
	set_process(true)

func _process(delta):
	if label.get_text() == "":
		player = Global.get_player()
		if player != null:
			label.set_text(str(player.get(property)))
	if decrease.is_pressed():
		_modify_value(-1)
	if increase.is_pressed():
		_modify_value(1)

func _modify_value(amount):
	var value = player.get(property)
	value = value + amount
	label.set_text(str(value))
	player.set(property, value)
