extends Node2D

export var value_list = [""]
export var variable = ""

onready var label = get_node("Label")

var player = null
var index = null

func _ready():
	assert(index != -1)
	var previous = get_node("Previous")
	previous.connect("pressed", self, "_change_value", [-1])
	previous.set_focus_mode(Control.FOCUS_NONE)
	var next = get_node("Next")
	next.connect("pressed", self, "_change_value", [1])
	next.set_focus_mode(Control.FOCUS_NONE)
	_change_value(0)

func _change_value(amount):
	if player == null:
		player = Global.get_player()
		label.set_text(player.get(variable))
		index = value_list.find(player.get(variable))
	index = index + amount
	var size = value_list.size()
	if index >= size:
		index = 0
	elif index < 0:
		index = size - 1
	label.set_text(value_list[index])
	player.set(variable, value_list[index])
