extends Position2D

const Player = preload("res://Actors/Player/Player.tscn")

# Spawn a player at this position if one doesn't already exist.
func _ready():
	# Determine if there's a Player currently tracked.
	if Global.get_player() == null:
		# Spawn a player.
		var player = Player.instance()
		player.set_pos(Vector2(0, 0))
		add_child(player)
