# Transport the player to destination Connectors on target Scenes.
extends Area2D

export(String) var target_scene = null
export(String) var target_connector = null
export(bool) var is_horizontal = false

func _ready():
	assert(target_scene != null)
	assert(target_connector != null)
	connect("area_enter", self, "_on_area_enter")

func _on_area_enter(area):
	if area.is_in_group("Player"):
		disconnect("area_enter", self, "_on_area_enter")
		Global.transport_player(self, target_scene, target_connector)
