extends "res://UI/Popup.gd"

const Map = preload("res://UI/Map/Map.tscn")

onready var _itemlist = get_node("ItemList")

func _ready():
	_itemlist.add_item("[Glyphs]")
	_itemlist.add_item("Inventory")
	_itemlist.add_item("Map")
	_itemlist.select(0)
	_itemlist.grab_focus()
	# Don't count the activation that created the Menu.
	_itemlist.call_deferred("connect", "item_activated", self, "_item_activated")
	# FIXME: _itemlist set to PAUSE_MODE_PROCESS in the editor because of engine bug:
	# https://github.com/godotengine/godot/issues/6921

func _item_activated(index):
	if _itemlist.is_selected(2):
		add_child(Map.instance())

# Hack until I can figure out how to get ItemLists to obey PAUSE_MODE_INHERIT.
func set_pause_mode(pause_mode):
	.set_pause_mode(pause_mode)
	if _itemlist != null:
		_itemlist.set_pause_mode(pause_mode)
